package io.github.null2264.tsukumogami.bot.core.module

import dev.kord.core.entity.effectiveName
import io.github.null2264.tsukumogami.core.commands.annotation.Command
import io.github.null2264.tsukumogami.core.Context
import io.github.null2264.tsukumogami.core.module.BotModule
import kotlinx.datetime.Clock

class GeneralModule : BotModule("General", "idk") {

    @Command(description = "Ping the bot!")
    private suspend fun ping(ctx: Context) {
        val startTime = Clock.System.now()
        ctx.typing()
        val endTime = Clock.System.now()
        ctx.send("Pong! ${endTime.toEpochMilliseconds() - startTime.toEpochMilliseconds()}ms")
    }

    @Command("test")
    private suspend fun differentName(ctx: Context) {
        ctx.send("Hello World! ${ctx.author?.effectiveName}")
    }
}
